<?php

/**
 * Register sidebars for the theme.
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'moscow_sidebars_init' ) ) :
function moscow_sidebars_init() {

	// Sidebar
	// -------------------------------------------------

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'moscow' ),
		'id'            => 'main-sidebar',
		'description'   => esc_html__( 'Place widgets to be shown in the theme sidebar.', 'moscow' ),
		'before_widget' => '<aside id="%1$s" class="widget widget-main %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h4 class="widget-title"><span>',
		'after_title'   => '</span></h4>'
	) );


	/**
	 * Footer
	 * -------------------------------------------------
	 * Footer: One
	 * -------------------------------------------------
	 */

	register_sidebar( array(
		'name'			=> esc_html__( 'Footer: One', 'moscow' ),
		'id'			=> 'footer-one-sidebar',
		'description'	=> esc_html__( 'Place widgets to be shown in the first column of the footer.', 'moscow' ),
		'before_widget' => '<aside id="%1$s" class="widget widget-footer %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title'	=> '<h4 class="widget-title"><span>',
		'after_title'	=> '</span></h4>'
	) );


	// Footer: Second
	// -------------------------------------------------

	register_sidebar( array(
		'name'			=> esc_html__( 'Footer: Two', 'moscow' ),
		'id'			=> 'footer-two-sidebar',
		'description'	=> esc_html__( 'Place widgets to be shown in the second column of the footer.', 'moscow' ),
		'before_widget' => '<aside id="%1$s" class="widget widget-footer %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title'	=> '<h4 class="widget-title"><span>',
		'after_title'	=> '</span></h4>'
	) );


	// Footer: Third
	// -------------------------------------------------

	register_sidebar( array(
		'name'			=> esc_html__( 'Footer: Three', 'moscow' ),
		'id'			=> 'footer-three-sidebar',
		'description'	=> esc_html__( 'Place widgets to be shown in the third column of the footer.', 'moscow' ),
		'before_widget' => '<aside id="%1$s" class="widget widget-footer %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title'	=> '<h4 class="widget-title"><span>',
		'after_title'	=> '</span></h4>'
	) );


	// Footer: Four
	// -------------------------------------------------

	register_sidebar( array(
		'name'			=> esc_html__( 'Footer: Four', 'moscow' ),
		'id'			=> 'footer-four-sidebar',
		'description'	=> esc_html__( 'Place widgets to be shown in the fourth column of the footer.', 'moscow' ),
		'before_widget' => '<aside id="%1$s" class="widget widget-footer %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title'	=> '<h4 class="widget-title"><span>',
		'after_title'	=> '</span></h4>'
	) );

}
add_action( 'widgets_init', 'moscow_sidebars_init' );
endif;