<?php

/**
 * Customized comment form is what we use for our framework.
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$commenter 	= wp_get_current_commenter();
$req 		= get_option( 'require_name_email' );
$aria_req 	= ( $req ? " aria-required='true'" : '' );
$args 		= array(
	'id_form'           => 'commentform',
	'id_submit'         => 'submit',
	'title_reply'       => '<span>' . esc_html__( 'Leave a Reply', 'moscow' ) . '</span>',
	'title_reply_to'    => '<em>' . esc_html__( 'Leave a Reply to %s', 'moscow' ) . '</em>',
	'cancel_reply_link' => '<i class="genericon genericon-close"></i>',
	'label_submit'      => esc_html__( 'Post Comment', 'moscow' ),
	'comment_field' 	=>  '<div class="form-comment"><textarea id="comment" name="comment" class="s-form-control" placeholder="' . esc_attr__( 'Comment', 'moscow' ) . '" aria-required="true"></textarea></div>',
	'must_log_in' 		=> '<p class="must-log-in">' .

	sprintf(
	  wp_kses( __( 'You must be <a href="%s">logged in</a> to post a comment.', 'moscow' ), array( 'a' => array( 'href' => array(), 'title' => array() ) ) ),
	  wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
	) . '</p>',

	'logged_in_as' 		=> '<p class="logged-in-as">' .

	sprintf(
	  wp_kses( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'moscow' ), array( 'a' => array( 'href' => array(), 'title' => array() ) ) ),
	  admin_url( 'profile.php' ),
	  $user_identity,
	  wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
	) . '</p>',

	'comment_notes_before' 	=> '<p class="logged-in-as">Your email address will not be published.<br/>Required fields are marked <strong>*</strong></p>',
	'comment_notes_after' 	=> '',
	'fields' 				=> apply_filters( 'comment_form_default_fields',
		array(
			'author' => '<div class="form-author"><input id="author" name="author" type="text" class="s-form-control" placeholder="' . esc_attr__( 'Name (*)', 'moscow' ) . '" value="' . esc_attr( $commenter['comment_author'] ) . '"' . $aria_req . ' /></div>',
			'email' => '<div class="form-email"><input id="email" name="email" type="email" class="s-form-control" placeholder="' . esc_attr__( 'Email (*)', 'moscow' ) . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' . $aria_req . ' /></div>',
			'url' 	=> '<div class="form-url"><input id="url" name="url" type="url" class="s-form-control" placeholder="' . esc_attr__( 'Website', 'moscow' ) . '" value="' . esc_attr( $commenter['comment_author_url'] ) . '" /></div>'
		)
	)
);


// CALL : comment_form() function
// -------------------------------------------------

comment_form( $args );