<?php

/**
 * Enqueue styles and scripts.
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! function_exists( 'moscow_fonts_url' ) ) :
function moscow_fonts_url() {

    /**
	 * Translators: If there are characters in your language that are not supported 
	 * by chosen font(s), translate this to 'off'.
	 * -------------------------------------------------
     */

	$fonts_url = add_query_arg( 'family', urlencode( 'Heebo:400,500,700|Lora:400,400i,700,700i&subset=latin-ext' ), '//fonts.googleapis.com/css' );

	return $fonts_url;

}
endif;


if ( ! function_exists( 'moscow_theme_scripts' ) ) :
function moscow_theme_scripts() {

	global $moscow_theme_js;

	wp_enqueue_style( 'moscow-fonts', moscow_fonts_url() );
	wp_enqueue_style( 'moscow-animate', MOSCOW_THEME_URL . '/framework/css/animate.css' );
	wp_enqueue_style( 'moscow-style', MOSCOW_THEME_URL . '/style.css' );


	// Passing Variable : Localize
	// -------------------------------------------------

	wp_register_script( 'moscow-public', MOSCOW_THEME_URL . '/framework/js/public.js', array( 'jquery', 'imagesloaded' ), MOSCOW_THEME_VERSION, true );
	wp_localize_script( 'moscow-public', 'moscow_theme_js', $moscow_theme_js );


	// Register & Enqueue
	// -------------------------------------------------

	wp_enqueue_script( 'moscow-public' );


	// Javascript : Comment Reply
	// -------------------------------------------------

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

}
add_action( 'wp_enqueue_scripts', 'moscow_theme_scripts' );
endif;