<?php

/**
 * View: No-results
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="height-50">
	<section class="no-results not-found">
		<header class="page-header">
			<h1 class="entry-title"><?php esc_html_e( 'No Results', 'moscow' ); ?></h1>
		</header><!-- .page-header -->

		<div class="entry-content">
			<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>
				<p><?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'moscow' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

			<?php elseif ( is_search() ) : ?>
				<p><?php esc_html_e( 'Sorry, we are unable to find anything with your search terms. Please search again with some different keywords or try one of the links on the page.', 'moscow' ); ?></p>

			<?php else : ?>
				<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for.', 'moscow' ); ?><br/>
				<?php esc_html_e( 'Perhaps you can try searching the content you are looking for.', 'moscow' ); ?></p>

			<?php endif; ?>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</section><!-- .no-results -->
</div><!-- .height-50 -->