<?php

/**
 * View: Single
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-wrapper">
		<div class="row column">
			<?php

				// Thumbnail
				// -------------------------------------------------

				$moscow_format = ( get_post_format( $post->ID ) ? get_post_format( $post->ID ) : 'standard' );

				if ( 'fitted' == get_theme_mod( 'post_style', 'classic' ) ) {
					// Breadcrumbs
					// -------------------------------------------------

					moscow_breadcrumbs();

					if ( has_post_format( 'gallery' ) ) {
						// Filter : Full Size Images
						// -------------------------------------------------

						add_filter( 'shortcode_atts_gallery', 'moscow_full_size_gallery' );
						
						// Grab Images
						// -------------------------------------------------

						$moscow_gallery = get_post_gallery( get_the_ID(), false );

						if ( isset( $moscow_gallery['ids'] ) ) {
							$moscow_gallery_images = explode( ',', $moscow_gallery['ids'] );

							if ( is_array( $moscow_gallery_images ) ) {
								echo '<div class="entry-featured-image gallery-icon">';
								echo '<div class="as-post-gallery">';

								foreach ( $moscow_gallery_images as $moscow_gallery_image ) {
									$moscow_image_src = wp_get_attachment_url( $moscow_gallery_image );
									$moscow_image_meta = get_post_meta( $moscow_gallery_image, '_wp_attachment_image_alt', true );

									echo '<img src="' . esc_url( $moscow_image_src ) . '" alt="' . esc_attr( $moscow_image_meta ) . '" />';
								}

								echo '</div><!-- .as-post-gallery -->';
								echo '</div><!-- .entry-featured-image -->';
							}
						}
					} else {
						if ( has_post_thumbnail() ) {
							$moscow_format = ( get_post_format( $post->ID ) ? get_post_format( $post->ID ) : 'standard' );
							echo '<div class="entry-featured-image ' . esc_attr( $moscow_format ) . '-icon">';
							the_post_thumbnail( 'full', array( 'alt' => get_the_title() ) );
							echo '</div><!-- .entry-featured-image -->';
						}
					}
				}


				// Title & Meta
				// -------------------------------------------------

				moscow_single_title();

			?>
		</div><!-- .row -->

		<div class="entry-content">
			<?php

				// Content
				// -------------------------------------------------

				moscow_post_content( 'classic' );

				// Links
				// -------------------------------------------------

				moscow_link_pages();

			?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php

				if ( get_theme_mod( 'blog_tags' ) ) {
					// Tags
					// -------------------------------------------------

					moscow_post_tags();
				}

				// Edit
				// -------------------------------------------------

				moscow_edit_link();

			?>
		</footer><!-- .entry-footer -->
	</div><!-- .entry-wrapper -->
</article><!-- #post-## -->