<?php

/**
 * View: Home (featured)
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$moscow_featured_args = array(
    'posts_per_page'        => 4,
    'ignore_sticky_posts'   => 1,
    'orderby'               => 'rand'
);


// Order
// -------------------------------------------------

if ( get_theme_mod( 'featured_items_order' ) ) {
    if ( 'DESC' == get_theme_mod( 'featured_items_order' ) ) {
        $moscow_featured_args['order']      = 'DESC';
        $moscow_featured_args['orderby']    = 'ID';
    } elseif ( 'ASC' == get_theme_mod( 'featured_items_order' ) ) {
        $moscow_featured_args['order']      = 'ASC';
        $moscow_featured_args['orderby']    = 'ID';
    }
}


// Style
// -------------------------------------------------

$moscow_featured_style = esc_html( get_theme_mod( 'featured_style', 'five' ) );

if ( ! in_array( $moscow_featured_style, array( 'one', 'two', 'three', 'four', 'five' ) ) ) {
    $moscow_featured_style = 'five';
}


// Items
// -------------------------------------------------

if ( 'one' == $moscow_featured_style ) {
    $moscow_featured_args['posts_per_page'] = '5';
} elseif ( 'two' == $moscow_featured_style || 'five' == $moscow_featured_style ) {
    $moscow_featured_args['posts_per_page'] = '3';
} elseif ( 'three' == $moscow_featured_style ) {
    $moscow_featured_args['posts_per_page'] = '4';
} elseif ( 'four' == $moscow_featured_style ) {
    if ( get_theme_mod( 'featured_items' ) ) {
        $moscow_featured_args['posts_per_page'] = intval( get_theme_mod( 'promo_items' ) );
    }
}


// Grab Posts
// -------------------------------------------------
$moscow_featured_posts = new WP_Query( $moscow_featured_args );


// Process
// -------------------------------------------------

if ( $moscow_featured_posts -> have_posts() ) :

?>

<div class="row columns">
    <div class="as-featured-section as-featured-<?php echo $moscow_featured_style; ?>">
        <?php

            // Constant
            $moscow_i = 1;

            while ( $moscow_featured_posts -> have_posts() ) {
                $moscow_featured_posts -> the_post();

                if ( has_post_thumbnail() ) :

                    $moscow_thumbnail_id   = get_post_thumbnail_id( $post->ID );
                    $moscow_image          = wp_get_attachment_url( $moscow_thumbnail_id );

        ?>

                <div class="featured-wrapper">
                    <div class="featured-container" style="background-image:url('<?php echo $moscow_image; ?>');">
                        <a href="<?php echo esc_url( get_permalink() ); ?>" class="featured-link"></a>

                        <div class="featured-section">
                            <div class="featured-story">
                                <?php moscow_post_category(); ?>
                                <h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>

                                <?php if ( 'two' == $moscow_featured_style || 'three' == $moscow_featured_style ) : ?>
                                    <?php if ( 1 == $moscow_i ) : ?>
                                        <p class="featured-excerpt"><?php echo get_the_excerpt(); ?></p>
                                    <?php endif; ?>
                                <?php elseif ( 'four' == $moscow_featured_style ) : ?>
                                    <p class="featured-excerpt"><?php echo get_the_excerpt(); ?></p>
                                <?php elseif ( 'five' == $moscow_featured_style ) : ?>
                                    <?php if ( 2 == $moscow_i ) : ?>
                                        <p class="featured-excerpt"><?php echo get_the_excerpt(); ?></p>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div><!-- .featured-story -->
                        </div><!-- .featured-section -->
                    </div><!-- .featured-container -->

                    <div class="featured-section-overlay <?php if ( get_theme_mod( 'featured_color_overlay' ) ) { echo 'fso-' . $moscow_i; } ?>"></div><!-- .featured-section-overlay -->
                </div><!-- .featured-wrapper -->

        <?php

                endif;

                // Increment
                ++$moscow_i;
            }

        ?>
    </div><!-- .as-featured-section -->
</div><!-- .row -->

<?php

    // Reset the wordpress query back to start.
    wp_reset_postdata();

endif;