<?php

/**
 * View: Author Information
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$moscow_author_name 		= esc_html( get_the_author_meta( 'display_name' ) );
$moscow_author_description 	= strip_tags( get_the_author_meta( 'description' ) );

?>

<div class="post-author-section">
	<div class="post-author-wrapper">
		<?php

			// Name
			// -------------------------------------------------

			printf( '<h3>by <span>%s</span></h3>', $moscow_author_name );

		?>

		<div class="post-author-image">
			<?php

				// Photo
				// -------------------------------------------------

				printf( '<div class="author-image">%s</div>', get_avatar( get_the_author_meta( 'user_email' ), '150' ) );

			?>
		</div><!-- .post-author-image -->

		<div class="post-author-information">
			<?php

				// Description
				// -------------------------------------------------

				printf( '<p class="author-bio">%s</p>', $moscow_author_description );


				// Posts
				// -------------------------------------------------

				echo '<div class="author-links">';
				echo  '<a href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" class="as-button small hollow">' . esc_html__( 'View All Posts', 'moscow' ) . '</a>';
				echo '</div><!-- .author-links -->';

			?>
		</div><!-- .post-author-information -->
	</div><!-- .post-author-wrapper -->
</div><!-- .post-author-section -->