<?php

/**
 * View: Related Posts
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post;

if ( get_theme_mod( 'blog_related_posts_number' ) ) {
	$moscow_posts_per_page = esc_html( get_theme_mod( 'blog_related_posts_number' ) );
} else {
	$moscow_posts_per_page = 5;
}

$moscow_categories = get_the_category( $post->ID );

if ( $moscow_categories ) {
	$moscow_category_ids = array();

	foreach ( $moscow_categories as $moscow_individual_category ) {
		$moscow_category_ids[] = $moscow_individual_category->term_id;
	}

	$moscow_args = array(
		'category__in'     		=> $moscow_category_ids,
		'post__not_in'     		=> array( $post->ID ),
		'posts_per_page'   		=> $moscow_posts_per_page,
		'ignore_sticky_posts' 	=> 1,
		'orderby' 				=> 'rand'
	);

	// Querying Database
	$moscow_query = new wp_query( $moscow_args );

	if ( $moscow_query->have_posts() ) {

		// Excerpt Length
		add_filter( 'excerpt_length', 'moscow_excerpt_short_length', 999 );

?>

		<div class="related-posts">
			<?php

				if ( get_theme_mod( 'blog_related_title' ) ) {
					echo '<h3>' . esc_html( get_theme_mod( 'blog_related_title' ) ) . '</h3>';
				} else {
					echo '<h3>' . esc_html__( 'Related Posts', 'moscow' ) . '</h3>';
				}

			?>

			<div class="related-container">
				<?php

					// Loop
					while ( $moscow_query->have_posts() ) {
						$moscow_query->the_post();

				?>

						<div class="related-wrapper">
							<div class="related-image">
								<?php if ( has_post_thumbnail() ) : ?>
									<a href="<?php the_permalink(); ?>">
										<?php the_post_thumbnail( 'moscow-square' ); ?>
									</a>
								<?php endif; // has_post_thumbnail() ?>
							</div><!-- .related-image -->

							<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							<p class="related-story"><?php echo get_the_excerpt(); ?></p>
						</div><!-- .related-wrapper -->

				<?php

					} // have_posts

				?>
			</div><!-- .related-container -->
		</div><!-- .related-posts -->

<?php

	}
}


// Reset
// -------------------------------------------------

wp_reset_postdata();