<?php

/**
 * View: Footer
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$moscow_class['main_class'] 	= 'large-9 column main-left';
$moscow_class['side_class'] 	= ' side-right';

if ( 'left' == get_theme_mod( 'sidebar', 'right' ) ) {
	$moscow_class['main_class'] = 'large-9 column main-right';
	$moscow_class['side_class'] = ' side-left';
}

if ( 'none' == get_theme_mod( 'sidebar', 'right' ) ) {
	$moscow_class['main_class'] = 'small-12 column';
}

// Footer Sidebars
$moscow_sb_width = 'small-12 column';
$moscow_sb_count = is_active_sidebar( 'footer-one-sidebar' ) + is_active_sidebar( 'footer-two-sidebar' ) + is_active_sidebar( 'footer-three-sidebar' ) + is_active_sidebar( 'footer-four-sidebar' ) + is_active_sidebar( 'footer-five-sidebar' ) + is_active_sidebar( 'footer-six-sidebar' );


// Assigning Width
// -------------------------------------------------

if ( $moscow_sb_count ) {
	if ( '2' == $moscow_sb_count ) {
		$moscow_sb_width = 'medium-6 column';
	} elseif ( '3' == $moscow_sb_count ) {
		$moscow_sb_width = 'medium-4 column';
	} elseif ( '4' == $moscow_sb_count ) {
		$moscow_sb_width = 'large-3 medium-6 column';
	}
}

		if ( 'none' != get_theme_mod( 'sidebar', 'right' ) ) :
			if ( ! is_page_template( array( 'full-width.php', 'contact.php', 'homepage.php' ) ) ) :

?>

				</div><!-- .content-area -->

				<div class="widgets-area large-3 column<?php echo $moscow_class['side_class']; ?>">
					<?php get_sidebar(); ?>
				</div><!-- .widgets-area -->
			</div><!-- .row -->

<?php

			endif;
		endif;

?>

		</div><!-- .row -->
	</div><!-- .main-content-wrapper -->
</div><!-- .main-content -->

<?php

// Show Sidebars
// -------------------------------------------------

if ( $moscow_sb_count ) :

?>

	<footer class="site-footer">
		<div class="row column">
			<div class="footer-widgets">
				<div class="row">
					<?php if ( is_active_sidebar( 'footer-one-sidebar' ) ) : ?>
						<div class="<?php echo $moscow_sb_width; ?>">
							<?php dynamic_sidebar( 'footer-one-sidebar' ); ?>
						</div>
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'footer-two-sidebar' ) ) : ?>
						<div class="<?php echo $moscow_sb_width; ?>">
							<?php dynamic_sidebar( 'footer-two-sidebar' ); ?>
						</div>
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'footer-three-sidebar' ) ) : ?>
						<div class="<?php echo $moscow_sb_width; ?>">
							<?php dynamic_sidebar( 'footer-three-sidebar' ); ?>
						</div>
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'footer-four-sidebar' ) ) : ?>
						<div class="<?php echo $moscow_sb_width; ?>">
							<?php dynamic_sidebar( 'footer-four-sidebar' ); ?>
						</div>
					<?php endif; ?>
				</div><!-- .row -->
			</div><!-- .footer-widgets -->
		</div><!-- .row -->
	</footer><!-- .site-footer -->

<?php endif; // $moscow_sb_count ?>

<div class="site-info">
	<div class="row column">
		<div class="row">
			<div class="medium-6 column">
				<p class="copyright"><?php echo esc_html__( 'WordPress Theme by', 'moscow' ) . ' <a href="http://www.akshitsethi.com/" target="_blank"><strong>Akshit Sethi</strong></a>'; ?></p>
			</div><!-- .medium-6 -->

			<div class="medium-6 column">
				<?php

					if ( get_theme_mod( 'footer_social_icons' ) ) :
						echo '<ul class="social-links">';

						// Order
						$moscow_social_order = array( 'facebook', 'twitter', 'google', 'linkedin', 'pinterest', 'instagram', 'youtube' );

						foreach ( $moscow_social_order as $moscow_single_social ) {
							if ( get_theme_mod( 'social_' . $moscow_single_social ) ) {
								echo '<li><a href="' . esc_url( get_theme_mod( 'social_' . esc_attr( $moscow_single_social ) ) ) . '" class="' . esc_attr( $moscow_single_social ) . '" target="_blank">';

								if ( 'google' == $moscow_single_social ) {
									echo '<i class="fa fa-' . esc_attr( $moscow_single_social ) . '-plus"></i>';
								} elseif ( 'pinterest' == $moscow_single_social ) {
									echo '<i class="fa fa-' . esc_attr( $moscow_single_social ) . '-p"></i>';
								} elseif ( 'youtube' == $moscow_single_social ) {
									echo '<i class="fa fa-' . esc_attr( $moscow_single_social ) . '-play"></i>';
								} else {
									echo '<i class="fa fa-' . esc_attr( $moscow_single_social ) . '"></i>';
								}

								echo '</a></li>';
							}
						}

						echo '</ul><!-- .social-links -->';
					endif;

				?>
			</div><!-- .medium-6 -->
		</div><!-- .row -->
	</div><!-- .row -->
</div><!-- .site-info -->