<?php

/**
 * View: Header
 *
 * @author akshitsethi
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$moscow_class['main_class'] 	= 'large-9 column main-left';
$moscow_class['side_class'] 	= ' side-right';

if ( 'left' == get_theme_mod( 'sidebar', 'right' ) ) {
	$moscow_class['main_class'] = 'large-9 column main-right';
	$moscow_class['side_class'] = ' side-left';
}

if ( 'none' == get_theme_mod( 'sidebar', 'right' ) ) {
	$moscow_class['main_class'] = 'small-12 column';
}

?>

<header class="header">
	<div class="row">
		<div class="medium-3 small-6 column">
			<div class="site-title">
				<?php moscow_wp_logo(); ?>
			</div><!-- .site-title -->
		</div><!-- .medium-3 -->

		<div class="medium-9 small-6 column">
			<div class="header-right">
				<div class="site-navigation">
					<?php

						if ( has_nav_menu( 'primary' ) ) {
							wp_nav_menu(
								array(
									'theme_location' 	=> 'primary',
									'menu_class' 		=> 'navigation-menu',
									'depth' 			=> 2
								)
							);
						}

					?>
				</div><!-- .site-navigation -->

				<a href="javascript:;" class="trigger-menu">
					<span></span>
				</a><!-- .trigger-menu -->

				<?php

					if ( get_theme_mod( 'header_search' ) ) {
						echo '<div class="header-triggers">';
						echo '<a href="javascript:;" class="trigger-search"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 64 64" enable-background="new 0 0 64 64"><g fill="none" stroke="#101010" stroke-width="2" stroke-miterlimit="10"><circle cx="21" cy="21" r="20"/><path d="m35 35l6 6"/><path transform="matrix(-.7071.7071-.7071-.7071 121.92 50.5)" d="m46.26 37.06h8.485v26.87h-8.485z"/></g></svg></a><!-- .trigger-search -->';
						echo '</div><!-- .header-triggers -->';
					}

				?>
			</div><!-- .header-right -->
		</div><!-- .medium-9 -->
	</div><!-- .row -->

	<div class="row column">
		<div class="mobile-content"></div><!-- .mobile-content -->
	</div><!-- .row -->
</header><!-- .header -->

<div id="content" class="main-content">
	<div class="main-content-wrapper">
		<?php

			// Featured
			// -------------------------------------------------

			if ( is_home() || is_front_page() ) :
				if ( get_theme_mod( 'featured' ) ) :
					get_template_part( 'framework/views/sections/featured' );
				endif;
			endif;


			// Post Thumbnails
			// -------------------------------------------------
			// Here as well ;)

			get_template_part( 'framework/views/misc/post', 'thumbnails' );


			// Options
			// -------------------------------------------------

			get_template_part( 'framework/views/misc/options' );

		?>

		<div class="row column">
			<?php

				if ( 'none' != get_theme_mod( 'sidebar', 'right' ) ) :
					if ( ! is_page_template( array( 'full-width.php', 'contact.php', 'homepage.php' ) ) ) :

			?>

						<div class="row">
							<div id="primary" class="content-area <?php echo $moscow_class['main_class']; ?>">

			<?php

					endif;
				endif;