<?php

/**
 * Theme functions and definitions.
 * Fully compliant with WordPress coding standards.
 * -------------------------------------------------
 * @author akshitsethi
 * @link http://www.akshitsethi.com/
 * -------------------------------------------------
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


// Define constants for the theme.
// -------------------------------------------------

define( 'MOSCOW_THEME_VERSION', '1.0.6' );
define( 'MOSCOW_THEME_PATH', get_template_directory() );
define( 'MOSCOW_THEME_URL', get_template_directory_uri() );


/**
 * Setup for the theme.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/setup.php';


/**
 * Load scripts and styles.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/scripts.php';


/**
 * 1. Required + recommended plugins.
 * 2. Register sidebar area.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/admin/plugins.php';		// 1
require_once MOSCOW_THEME_PATH . '/framework/admin/sidebars.php';		// 2


/**
 * -------------------------------------------------
 *  Customizer + Custom Controls
 * -------------------------------------------------
 *  Adding little magic to the customizer.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/admin/customizer.php';


/**
 * Custom template tags.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/template-tags.php';


/**
 * Custom functions.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/functions.php';


/**
 * Javascript localization options.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/localize.php';


/**
 * 1. Admin selected settings.
 * 2. Body classes.
 * -------------------------------------------------
 */

require_once MOSCOW_THEME_PATH . '/framework/include/settings.php';		// 1
require_once MOSCOW_THEME_PATH . '/framework/include/classes.php';		// 2